Subject: Re: bug#2309: Saving under Windows (sometimes) causes Emacs to freeze and allocate a lot of memory - Emacs 22.3.1

From: Jason Rumney <[email-masked]>
Date: Tue, 17 Feb 2009 22:25:20 +0800

Fredrik Hellman wrote:
>> When I start emacs, open a file in a buffer, do some changes in it and
>> then saves the file with C-x C-s Emacs freezes and I can see how the
>> memory allocated by Emacs slowly increases until it after a few
>> minutes wakes up again and says in a separate buffer:

Thank you for the extra info you provided.

Emacs appears to be in an infinite loop trying to create the 
non-existent directory "d:/" and all its parents.
I've fixed make-directory to abort this loop when the directory is its 
own parent.